Crazy Eddies GUI System: TiXmlElement Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# TiXmlElement Class Reference

Inheritance diagram for TiXmlElement:

[legend]
Collaboration diagram for TiXmlElement:

[legend]
List of all members.

## Public Member Functions
| TiXmlElement (const char *in_value)
| Construct an element.
| TiXmlElement (const TiXmlElement &)
void | operator= (const TiXmlElement &base)
const char * | Attribute (const char *name) const
const char * | Attribute (const char *name, int *i) const
const char * | Attribute (const char *name, double *d) const
int | QueryIntAttribute (const char *name, int *value) const
int | QueryDoubleAttribute (const char *name, double *value) const
| QueryDoubleAttribute examines the attribute - see QueryIntAttribute().
int | QueryDoubleAttribute (const char *name, float *value) const
| QueryFloatAttribute examines the attribute - see QueryIntAttribute().
void | SetAttribute (const char *name, const char *value)
void | SetAttribute (const char *name, int value)
void | SetDoubleAttribute (const char *name, double value)
void | RemoveAttribute (const char *name)
const TiXmlAttribute * | FirstAttribute () const
| Access the first attribute in this element.
TiXmlAttribute * | FirstAttribute ()
const TiXmlAttribute * | LastAttribute () const
| Access the last attribute in this element.
TiXmlAttribute * | LastAttribute ()
virtual TiXmlNode * | Clone () const
| Creates a new Element and returns it - the returned element is a copy.
virtual void | Print (FILE *cfile, int depth) const
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
## Protected Member Functions
void | CopyTo (TiXmlElement *target) const
void | ClearThis ()
virtual void | StreamOut (TIXML_OSTREAM *out) const
const char * | ReadValue (const char *in, TiXmlParsingData *prevData, TiXmlEncoding encoding)

## Detailed Description

The element is a container class. It has a value, the element name, and can contain other elements, text, comments, and unknowns. Elements also contain an arbitrary number of attributes.

## Member Function Documentation

const char * TiXmlElement::Attribute | ( | const char * | name,
|  | double * | d
| ) | const

| Given an attribute name, Attribute() returns the value for the attribute of that name, or null if none exists. If the attribute exists and can be converted to an double, the double value will be put in the return 'd', if 'd' is non-null.

const char * TiXmlElement::Attribute | ( | const char * | name,
|  | int * | i
| ) | const

| Given an attribute name, Attribute() returns the value for the attribute of that name, or null if none exists. If the attribute exists and can be converted to an integer, the integer value will be put in the return 'i', if 'i' is non-null.

const char * TiXmlElement::Attribute | ( | const char * | name | ) | const

| Given an attribute name, Attribute() returns the value for the attribute of that name, or null if none exists.

void TiXmlElement::Print | ( | FILE * | cfile,
|  | int | depth
| ) | const`[virtual]`

| All TinyXml classes can print themselves to a filestream. This is a formatted print, and will insert tabs and newlines. (For an unformatted stream, use the << operator.) Implements TiXmlBase.

int TiXmlElement::QueryIntAttribute | ( | const char * | name,
|  | int * | value
| ) | const

| QueryIntAttribute examines the attribute - it is an alternative to the Attribute() method with richer error checking. If the attribute is an integer, it is stored in 'value' and the call returns TIXML_SUCCESS. If it is not an integer, it returns TIXML_WRONG_TYPE. If the attribute does not exist, then TIXML_NO_ATTRIBUTE is returned.

void TiXmlElement::RemoveAttribute | ( | const char * | name | ) |

| Deletes an attribute with the given name.

void TiXmlElement::SetAttribute | ( | const char * | name,
|  | int | value
| ) |

| Sets an attribute of name to a given value. The attribute will be created if it does not exist, or changed if it does.

void TiXmlElement::SetAttribute | ( | const char * | name,
|  | const char * | value
| ) |

| Sets an attribute of name to a given value. The attribute will be created if it does not exist, or changed if it does.

void TiXmlElement::SetDoubleAttribute | ( | const char * | name,
|  | double | value
| ) |

| Sets an attribute of name to a given value. The attribute will be created if it does not exist, or changed if it does.